#!/usr/bin/env python
# Karamba Kotnet-Limiet Meter (door Stijn Opheide)
# opmerkingen mailen naar stijn.opheide@kotnet.org

# settings
#loginID = 'uid'
#passwd = 'pass'
import os
filename = os.environ.get('HOME') + '/.kotnet-limiet.conf'
if filename and os.path.isfile(filename):
    execfile(filename)


url = 'https://netlogin.kuleuven.be/cgi-bin/weblogin.cgi'

# do not change below
from urllib import urlopen
from string import split
from string import rstrip
from string import lstrip
from string import replace

def get_statistics():
	try:
	  loginpage = urlopen(url,'uid=' + loginID + '&pwd=' + passwd).read()
	except:
	  print "Error"
	  from sys import exit
	  exit()

	lines = split(loginpage,'\n')

	#upstreampercentline = '<TR bgcolor="#ccccff"><TD colspan=4>&nbsp;</TD><TD>  = upstream volumequota voor 2.110598% opgebruikt </TD></TR>'
	#downstreampercentline = '<TR bgcolor="#ccccff"><TD colspan=4>&nbsp;</TD><TD>  = downstream volumequota voor 9.791108% opgebruikt </TD></TR>'
	#upstreamline = '<TR bgcolor="#ccccff"><TD colspan=3>Laatste Volume Verrekening</TD><TD>Verstuurd</TD><TD> 946.019.146 bytes  (indien negatief =&gt; limiet overschreden)</TD></TR>'
	#downstreamline = '<TR bgcolor="#ccccff"><TD colspan=3>&nbsp;</TD><TD>Ontvangen</TD><TD> 1.131.448.966 bytes </TD></TR>'
	

	upstreampercentline = lines[58]
	downstreampercentline = lines[41]
	upstreamline = lines[65]
	downstreamline = lines[62]

	upstreampercent = lstrip(rstrip(lstrip(rstrip(upstreampercentline)),'</TD>'),'</TD>')
	upstreampercent = rstrip(lstrip(upstreampercent,"("),"%)")
	downstreampercent = lstrip(rstrip(lstrip(rstrip(downstreampercentline)),'</TD>'),'</TD>')
	downstreampercent = rstrip(lstrip(downstreampercent,"("),"%)")
	upstream = split(lstrip(upstreamline),' ')[2]
	downstream = split(lstrip(downstreamline),' ')[2]
	
	return(downstreampercent,upstreampercent,downstream + " MB",upstream + " MB")

downloadpercent,uploadpercent,download,upload = get_statistics()
print downloadpercent
print uploadpercent
print download
print upload
